Bug 242534 - mail/mutt: update to 1.13.1
Summary: mail/mutt: update to 1.13.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: http://www.mutt.org/relnotes/1.13/
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-10 00:34 UTC by Derek Schrock
Modified: 2019-12-15 21:37 UTC (History)
1 user (show)

See Also:
fernape: maintainer-feedback+


Attachments
update to 1.13.0 (31.60 KB, patch)
2019-12-10 00:34 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff
Update to 1.13.0 - unbreak greeting option (31.51 KB, patch)
2019-12-11 15:27 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff
Update to 1.13.1 (31.57 KB, patch)
2019-12-14 22:19 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2019-12-10 00:34:41 UTC
Created attachment 209818 [details]
update to 1.13.0

- Update to 1.13.0 [1]
- Add AUTOCRYPT option [2]
- greeting, nntp, quote patch are broken in 1.13.0

[1] http://www.mutt.org/relnotes/1.13/
[2] http://www.mutt.org/doc/manual/#autocryptdoc


portlint: ok looks fine.
testport: ok 12amd64
Comment 1 Automation User 2019-12-10 01:07:52 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/101851156
Comment 2 Derek Schrock 2019-12-11 15:27:58 UTC
Created attachment 209870 [details]
Update to 1.13.0 - unbreak greeting option

Working with the greeting patch developer this patch has been updated.  Unbreak the greeting option
Comment 3 Derek Schrock 2019-12-14 22:19:38 UTC
Created attachment 209956 [details]
Update to 1.13.1

1.13.1 [1] was released today.  Might as well bump this to that.


portlint: ok. looks fine.
testport: ok. 12amd64

[1] https://marc.info/?l=mutt-users&m=157635967216065&w=2
Comment 4 commit-hook freebsd_committer 2019-12-15 21:36:57 UTC
A commit references this bug:

Author: fernape
Date: Sun Dec 15 21:36:07 UTC 2019
New revision: 520200
URL: https://svnweb.freebsd.org/changeset/ports/520200

Log:
  mail/mutt: update to 1.13.1

  Too many changes to be listed here.

  ChangeLog: https://gitlab.com/muttmua/mutt/raw/stable/UPDATING

  PR:	242534
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/extra-patch-doc-ref
  head/mail/mutt/files/extra-patch-forcebase64
  head/mail/mutt/files/extra-patch-ifdef
  head/mail/mutt/files/extra-patch-maildir-mtime
  head/mail/mutt/files/extra-patch-reverse_reply
  head/mail/mutt/files/extra-patch-smartdate
  head/mail/mutt/files/patch-Makefile.in
  head/mail/mutt/files/patch-browser.c
  head/mail/mutt/files/patch-contrib_Makefile.in
  head/mail/mutt/files/patch-date-conditional
  head/mail/mutt/files/patch-dgc-deepif
  head/mail/mutt/files/patch-doc_Makefile.in
  head/mail/mutt/files/patch-doc_Muttrc
  head/mail/mutt/files/patch-doc_manual.xml.head
  head/mail/mutt/files/patch-muttlib.c
  head/mail/mutt/files/patch-smime-sender
  head/mail/mutt/files/patch-threadcomplete
  head/mail/mutt/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2019-12-15 21:37:16 UTC
Committed,

Thanks!